<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:decimal-format name="european" decimal-separator="," grouping-separator="." />
  <xsl:param name="mode" />
  <xsl:variable name="Rev">
    <xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)" />
  </xsl:variable>


	<!-- Uitpakken inkomende SOAP envelope -->
	<xsl:template match="soap:Envelope">
			<xsl:copy-of select="soap:Body/node()"/>
	</xsl:template>

  <xsl:template match="facilitor">
		<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
			<soap:Body>
			  <facilitor>
        <xsl:copy-of select="./node()"/>
				</facilitor>				
			</soap:Body>
		</soap:Envelope>
  </xsl:template>

  <xsl:template match="/">
				<!-- door API gebruikt om de SOAP tags toe te voegen aan te versturen bericht -->
				<xsl:apply-templates select="facilitor"/>
				<!-- door API gebruikt om de soap tags te verwijderen uit inkomend bericht -->
				<xsl:apply-templates select="soap:Envelope"/>
  </xsl:template>

</xsl:stylesheet>
